#!/usr/bin/env node
"use strict";
/* eslint-disable @typescript-eslint/no-unsafe-assignment, @typescript-eslint/no-unsafe-call, @typescript-eslint/no-unsafe-member-access */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const consola_1 = __importDefault(require("consola"));
const yargs_1 = __importDefault(require("yargs"));
const loadConfig_1 = __importDefault(require("./lib/loadConfig"));
const _1 = __importDefault(require("./"));
const argv = yargs_1.default
    .wrap(Math.max(80, yargs_1.default.terminalWidth() - 20))
    .recommendCommands()
    .help()
    .version()
    .alias('help', 'h')
    .alias('version', 'v')
    .command('* [entry]', 'Start Vue Dev Server', builder => builder.positional('entry', {
    type: 'string',
    describe: 'Path to entry file',
    normalize: true
}))
    .option('open', {
    type: 'boolean',
    alias: 'o',
    default: true,
    desc: 'Open webpage in browser when server start'
})
    .option('clipboard', {
    type: 'boolean',
    alias: 'c',
    desc: 'Copy dev server URL to clipboard.',
    default: false
}).argv;
const cliOptions = {
    entry: argv.entry,
    open: argv.open,
    clipboard: argv.clipboard
};
(function () {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const options = yield loadConfig_1.default(cliOptions);
            yield _1.default(options);
        }
        catch (err) {
            consola_1.default.error(err);
        }
    });
})();
//# sourceMappingURL=bin.js.map