"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CONFIG_NAME = void 0;
const cosmiconfig_1 = require("cosmiconfig");
const lodash_defaults_1 = __importDefault(require("lodash.defaults"));
const cosmiconfig_typescript_loader_1 = __importDefault(require("@endemolshinegroup/cosmiconfig-typescript-loader"));
exports.CONFIG_NAME = 'vue-dev-server';
function loadConfig(cliOptions) {
    return __awaiter(this, void 0, void 0, function* () {
        const explorer = cosmiconfig_1.cosmiconfig(exports.CONFIG_NAME, {
            searchPlaces: [
                `${exports.CONFIG_NAME}.config.js`,
                `${exports.CONFIG_NAME}.config.json`,
                `${exports.CONFIG_NAME}.config.yaml`,
                `${exports.CONFIG_NAME}.config.yml`,
                `${exports.CONFIG_NAME}.config.ts`
            ],
            loaders: {
                '.ts': cosmiconfig_typescript_loader_1.default
            }
        });
        const result = yield explorer.search();
        if (!result || result.isEmpty) {
            const emptyOptions = {};
            return cliOptions ? cliOptions : emptyOptions;
        }
        const options = result.config;
        const mergedOptions = lodash_defaults_1.default(options, cliOptions);
        return mergedOptions;
    });
}
exports.default = loadConfig;
//# sourceMappingURL=loadConfig.js.map