"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Stringify `define` object.
 *
 * @export
 * @param {(Record<string, unknown> | undefined)} define `define` object.
 * @returns {(Record<string, CodeValueObject> | null)}
 */
function stringifyDefine(define) {
    if (typeof define !== 'object' ||
        define == null ||
        Object.keys(define).length === 0) {
        return null;
    }
    const stringifiedDefine = {};
    for (const key in define) {
        const value = define[key];
        stringifiedDefine[key] = JSON.stringify(value);
    }
    return stringifiedDefine;
}
exports.default = stringifyDefine;
//# sourceMappingURL=stringifyDefine.js.map